%undefine __cmake_in_source_build
%bcond_with clang

Name:           qtxdg-tools
Summary:        User tools for libqtxdg
Version:        4.0.0
Release:        1%{?dist}
License:        LGPLv2+
URL:            http://lxqt-project.org
Source0:        https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
%if %{with clang}
BuildRequires: clang >= 5.0
%else
BuildRequires: gcc-c++
%endif
BuildRequires: pkgconfig(Qt6Xdg)
BuildRequires: cmake(lxqt2-build-tools)
BuildRequires: cmake(Qt6Core)
BuildRequires: pkgconfig(glib-2.0)

%description
%{summary}.

%prep
%autosetup -p1

%build
%if %{with clang}
export CC=clang
export CXX=clang++
%endif

%cmake
%cmake_build

%install
%cmake_install

%files
%{_bindir}/qtxdg-mat
%{_datadir}/cmake/qtxdg-tools/

%changelog
* Fri Sep 27 2024 Raven <raven@sysadmins.ws> - 4.0.0-1
- update to 4.0.0

* Mon Nov  6 2023 Raven <raven@sysadmins.ws> - 3.12.0-1
- update to 3.12.0
- clang support

* Thu May 18 2023 Raven <raven@sysadmins.ws> - 3.11.0-1
- update to 3.11.0

* Fri Nov 11 2022 Raven <raven@sysadmins.ws> - 3.10.0-1
- initial build
